> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# createPackageConsolidation

> createPackageConsolidation



## OpenAPI

````yaml /openapi/openapi_fulfillment.json post /commerce/shipments/{shipmentNumber}/consolidated/packages
openapi: 3.0.0
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentHold
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/shipments/{shipmentNumber}/consolidated/packages:
    post:
      tags:
        - PackageConsolidation
      summary: createPackageConsolidation
      description: createPackageConsolidation
      parameters:
        - description: If-Match
          in: header
          name: If-Match
          required: false
          schema:
            type: string
        - description: shipmentNumber
          in: path
          name: shipmentNumber
          required: true
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-site
          required: false
          schema:
            format: int32
            type: integer
        - in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PackageConsolidationRequest'
        description: request
        required: true
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPackageConsolidationResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/EntityModelOfPackageConsolidationResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/EntityModelOfPackageConsolidationResponse'
          description: OK
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    PackageConsolidationRequest:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        commonPackageDetails:
          $ref: '#/components/schemas/FulfillmentAPIPackage'
        packageConsolidations:
          items:
            $ref: '#/components/schemas/PackageConsolidationDto'
          type: array
      title: PackageConsolidationRequest
      type: object
    EntityModelOfPackageConsolidationResponse:
      properties:
        _links:
          $ref: '#/components/schemas/Links'
        attributes:
          additionalProperties:
            type: object
          type: object
        packageConsolidationId:
          type: string
        packageConsolidations:
          items:
            $ref: '#/components/schemas/PackageConsolidationDto'
          type: array
        shipmentConsolidationId:
          type: string
      title: EntityModelOfPackageConsolidationResponse
      type: object
    FulfillmentAPIPackage:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAPIAuditInfo'
        carrier:
          type: string
        carrierName:
          type: string
        cartonization:
          $ref: '#/components/schemas/CartonizationDto'
        fullyMatched:
          description: >-
            Whether every line item's received+substituted quantity matched its
            expected quantity for this package. Null until received or when not
            eligible/flag disabled.
          type: boolean
        fxcbDocumentsUrl:
          type: string
        fxcbPackNotificationId:
          type: string
        hasLabel:
          type: boolean
        integratorId:
          type: string
        labelFormat:
          type: string
        manifestId:
          type: string
        measurements:
          $ref: '#/components/schemas/FulfillmentAPIPackageMeasurements'
        packageConsolidationId:
          type: string
        packageId:
          type: string
        packagingType:
          type: string
        packingSlipItemDetails:
          items:
            $ref: '#/components/schemas/PackingSlipItemDetailDto'
          type: array
        packingSlipNumber:
          format: int32
          type: integer
        receiptStatus:
          description: >-
            Package-level receipt status (NOT_RECEIVED/RECEIVED). Null when not
            eligible/tenant attribute disabled.
          enum:
            - NOT_RECEIVED
            - RECEIVED
          type: string
        receivedBy:
          description: >-
            User ID that received this package. Null until received or when not
            eligible/flag disabled.
          type: string
        receivedDate:
          description: >-
            Timestamp this package was marked received. Null until received or
            when not eligible/flag disabled.
          format: date-time
          type: string
        receivingMethod:
          description: >-
            Method used to receive this package
            (TRACKING_NUMBER_RECEIPT/ITEM_VALIDATION). Null until received or
            when not eligible/flag disabled.
          enum:
            - TRACKING_NUMBER_RECEIPT
            - ITEM_VALIDATION
            - WHOLE_SHIPMENT_RECEIPT
          type: string
        returnCarrier:
          type: string
        returnTrackingNumbers:
          items:
            type: string
          type: array
        returnTrackings:
          items:
            $ref: '#/components/schemas/FulfillmentAPITracking'
          type: array
        shippingMethodCode:
          type: string
        shippingMethodName:
          type: string
        signatureRequired:
          type: boolean
        stringBarcode:
          type: string
        trackingNumbers:
          items:
            type: string
          type: array
        trackings:
          items:
            $ref: '#/components/schemas/FulfillmentAPITracking'
          type: array
      title: Package
      type: object
    PackageConsolidationDto:
      properties:
        packageDetails:
          $ref: '#/components/schemas/FulfillmentAPIPackage'
        packageId:
          type: string
        shipmentNumber:
          format: int32
          type: integer
      title: PackageConsolidationDto
      type: object
    Links:
      properties:
        empty:
          type: boolean
      title: Links
      type: object
    FulfillmentAPIAuditInfo:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo
      type: object
    CartonizationDto:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        boxes:
          items:
            $ref: '#/components/schemas/PackedBoxDto'
          type: array
        packingSuggestionId:
          type: string
      title: CartonizationDto
      type: object
    FulfillmentAPIPackageMeasurements:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        height:
          $ref: '#/components/schemas/FulfillmentAPIMeasurement'
        length:
          $ref: '#/components/schemas/FulfillmentAPIMeasurement'
        weight:
          $ref: '#/components/schemas/FulfillmentAPIMeasurement'
        width:
          $ref: '#/components/schemas/FulfillmentAPIMeasurement'
      title: PackageMeasurements
      type: object
    PackingSlipItemDetailDto:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        lineId:
          format: int32
          type: integer
        originalOrderItemId:
          type: string
        quantity:
          format: int32
          type: integer
        receivedQuantity:
          format: int32
          type: integer
        substitutedQuantity:
          format: int32
          type: integer
      title: PackingSlipItemDetailDto
      type: object
    FulfillmentAPITracking:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        number:
          type: string
        url:
          type: string
      title: Tracking
      type: object
    PackedBoxDto:
      properties:
        boxId:
          format: int32
          type: integer
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        items:
          items:
            $ref: '#/components/schemas/PackedItemDto'
          type: array
        name:
          type: string
        volumeUtilization:
          type: number
        weightUnit:
          type: string
        weightUsed:
          type: number
        weightUtilization:
          type: number
      title: PackedBoxDto
      type: object
    FulfillmentAPIMeasurement:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        unit:
          type: string
        value:
          type: number
      title: Measurement
      type: object
    DimensionsDto:
      properties:
        height:
          type: number
        length:
          type: number
        unit:
          type: string
        width:
          type: number
      title: DimensionsDto
      type: object
    PackedItemDto:
      properties:
        dimensions:
          $ref: '#/components/schemas/DimensionsDto'
        lineId:
          format: int32
          type: integer
        origin:
          $ref: '#/components/schemas/PositionDto'
        quantity:
          format: int32
          type: integer
        sourceShipmentNumber:
          format: int32
          type: integer
        uniqueId:
          type: string
        weight:
          type: number
        weightUnit:
          type: string
      title: PackedItemDto
      type: object
    PositionDto:
      properties:
        x:
          type: number
        'y':
          type: number
        z:
          type: number
      title: PositionDto
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````